package com.elab.annotation;

import java.lang.annotation.*;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2021/1/22 19:34
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
public @interface Description {

    /**
     * 模块名称
     *
     * @return
     */
    String modulesName() default "";

    /**
     * 功能描述
     *
     * @return
     */
    String describe() default "";

    /**
     * 查找关键字
     *
     * @return
     */
    String searchKey() default "";

}
